%undefine __cmake_in_source_build

Summary: KDE Frameworks 5 Tier 3 solution for KParts
Name:    kf5-kparts
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: GPLv2+
URL:     https://invent.kde.org/frameworks/kparts
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kparts-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-kconfig-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}, kf5-ki18n-devel >= %{majmin}
BuildRequires:  kf5-kiconthemes-devel >= %{majmin}, kf5-kio-devel >= %{majmin}, kf5-kjobwidgets-devel >= %{majmin}
BuildRequires:  kf5-knotifications-devel >= %{majmin}, kf5-kservice-devel >= %{majmin}, kf5-ktextwidgets-devel >= %{majmin}
BuildRequires:  kf5-kwidgetsaddons-devel >= %{majmin}, kf5-kxmlgui-devel >= %{majmin}, kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel

%description
KDE Frameworks 5 Tier 3 solution for KParts

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kio-devel >= %{majmin}
Requires:       kf5-ktextwidgets-devel >= %{majmin}
Requires:       kf5-kxmlgui-devel >= %{majmin}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n kparts-%{version}


%build
%{cmake_kf5}
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-html

mkdir -p %{buildroot}%{_kf5_plugindir}/parts/


%files -f %{name}.lang
%license LICENSES/*.txt
%doc README.md AUTHORS
%{_kf5_libdir}/libKF5Parts.so.*
%{_kf5_datadir}/qlogging-categories5/kparts.*
%{_kf5_datadir}/kservicetypes5/*.desktop
%dir %{_kf5_plugindir}/parts/

%files devel
%{_kf5_libdir}/libKF5Parts.so
%{_kf5_libdir}/cmake/KF5Parts/
%{_kf5_includedir}/KParts/
%{_kf5_archdatadir}/mkspecs/modules/qt_KParts.pri
%dir %{_kf5_datadir}/kdevappwizard/
%dir %{_kf5_datadir}/kdevappwizard/templates/
%{_kf5_datadir}/kdevappwizard/templates/kpartsapp.tar.bz2


%changelog
* Sat Nov 25 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
